## net.sf.jftp.system.logging
Class SystemLogger

    java.lang.Object
      net.sf.jftp.system.logging.SystemLogger

All Implemented Interfaces:
  Logger

    public class SystemLogger

extends java.lang.Object
implements Logger

Constructor Summary
`SystemLogger()`

Method Summary
`void` `debug(java.lang.String msg)`
`void` `debug(java.lang.String msg, java.lang.Throwable throwable)`
`void` `debugRaw(java.lang.String msg)`
`void` `error(java.lang.String msg)`
`void` `error(java.lang.String msg, java.lang.Throwable throwable)`
`void` `fatal(java.lang.String msg)`
`void` `fatal(java.lang.String msg, java.lang.Throwable throwable)`
`void` `info(java.lang.String msg)`
`void` `info(java.lang.String msg, java.lang.Throwable throwable)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemLogger

    public SystemLogger()

Method Detail

### debug

    public void debug(java.lang.String msg)

  Specified by:
    `debug` in interface `Logger`

### debugRaw

    public void debugRaw(java.lang.String msg)

  Specified by:
    `debugRaw` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `debug` in interface `Logger`

### warn

    public void warn(java.lang.String msg)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable throwable)

  Specified by:
    `warn` in interface `Logger`

### error

    public void error(java.lang.String msg)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `error` in interface `Logger`

### info

    public void info(java.lang.String msg)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable throwable)

  Specified by:
    `info` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg)

  Specified by:
    `fatal` in interface `Logger`

### fatal

    public void fatal(java.lang.String msg,
                      java.lang.Throwable throwable)

  Specified by:
    `fatal` in interface `Logger`